%define upstream_name    Dist-Zilla-PluginBundle-Author-LESPEA
%define upstream_version 1.008000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    My Dist::Zilla configs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML)
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla) >= 4.300.0
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease)
BuildRequires: perl(Dist::Zilla::Plugin::ConsistentVersionTest)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::DualBuilders)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::FakeRelease)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::HasVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex)
BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::ShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::SpellingCommonMistakesTests)
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Changes) >= 0.5.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.112.400
BuildRequires: perl(Dist::Zilla::Plugin::Test::DistManifest)
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL) >= 0.120.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee)
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Test::NoTabs)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic) >= 2.112.410
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Synopsis)
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Role::MintingProfile::ShareDir)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Perl::Critic) >= 1.118.0
BuildRequires: perl(Perl::Critic::Bangs) >= 1.80.0
BuildRequires: perl(Perl::Critic::Lax)
BuildRequires: perl(Perl::Critic::Pulp)
BuildRequires: perl(Perl::Critic::StricterSubs)
BuildRequires: perl(Perl::Critic::Swift)
BuildRequires: perl(Perl::MinimumVersion)
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Perl::PrereqScanner)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Spell)
BuildRequires: perl(Pod::Weaver) >= 3.101.632
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Section::Installation)
BuildRequires: perl(Pod::Weaver::Section::SeeAlso)
BuildRequires: perl(Pod::Weaver::Section::Support)
BuildRequires: perl(Pod::Weaver::Section::WarrantyDisclaimer)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod::Content)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin bundle, in its default configuration, is equivalent to:

    [ArchiveRelease]
    [Authority]
    [AutoMetaResources]
    [AutoPrereqs]
    [CPANChangesTests]
    [CheckChangesTests]
    [CompileTests]
    [ConfirmRelease]
    [ConsistentVersionTest]
    [CopyFilesFromBuild]
    [CriticTests]
    [DistManifestTests]
    [DualBuilders]
    [EOLTests]
    [ExecDir]
    [ExtraTests]
    [FakeRelease]
    [GatherDir]
    [HasVersionTests]
    [InstallGuide]
    [KwaliteeTests]
    [License]
    [MakeMaker]
    [Manifest]
    [ManifestSkip]
    [MetaConfig]
    [MetaJSON]
    [MetaNoIndex]
    [MetaTests]
    [MetaYAML]
    [MinimumPerl]
    [MinimumVersionTests]
    [ModuleBuild]
    [NextRelease]
    [NoTabsTests]
    [PerlTidy]
    [PkgVersion]
    [PodCoverageTests]
    [PodSyntaxTests]
    [PodWeaver]
    [PortabilityTests]
    [PruneCruft]
    [ReportVersions]
    [ShareDir]
    [SynopsisTests]
    [TestRelease]
    [UnusedVarsTests]
    [UploadToCPAN]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.8.0-8.mga9
+ Revision: 1803106
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.8.0-7.mga8
+ Revision: 1494139
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.8.0-6.mga7
+ Revision: 1267301
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.8.0-5.mga6
+ Revision: 1025891
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.8.0-4.mga6
+ Revision: 948354
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 747037
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1.8.0-1.mga5
+ Revision: 624238
- update to 1.008000

* Thu Mar 13 2014 jquelin <jquelin> 1.7.0-1.mga5
+ Revision: 602885
- update to 1.007000

* Fri Oct 18 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 511248
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 366565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.6.0-1.mga3
+ Revision: 295037
- update to 1.006000

* Fri Oct 14 2011 jquelin <jquelin> 1.4.0-1.mga2
+ Revision: 154834
- update to 1.004000

* Tue Aug 30 2011 jquelin <jquelin> 1.3.0-1.mga2
+ Revision: 136644
- update to 1.003000

* Fri Mar 25 2011 jquelin <jquelin> 1.2.1-1.mga1
+ Revision: 77309
- update to 1.002001

* Fri Mar 18 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 74169
- update to 1.002000

* Tue Mar 15 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 71765
- imported package perl-Dist-Zilla-PluginBundle-Author-LESPEA


* Tue Mar 15 2011 cpan2dist 1.000000-1mga
- initial mageia release, generated with cpan2dist
